#![no_main]
#![no_std]
#![feature(asm_experimental_arch)]

use core::arch::asm;
use core::panic::PanicInfo;

/// This function is called on panic.
#[panic_handler]
fn panic(_info: &PanicInfo) -> ! {
    loop {}
}

#[no_mangle]
pub extern fn main() {
    unsafe {
        asm!{"dirh #56"};

        loop {
            asm!{"outnot #56"};
            asm!{"waitx ##24000000"};
        }
    }
}